All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::template_base::invalid_template_exception Class Reference

`#include <template_base.hpp>`

Inheritance diagram for viennacl::device_specific::template_base::invalid_template_exception:

## Public Member Functions

| invalid_template_exception ()
| invalid_template_exception (std::string message)
virtual const char * | what () const throw ()
virtual | ~invalid_template_exception () throw ()

## Detailed Description

Definition at line 316 of file template_base.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::template_base::invalid_template_exception::invalid_template_exception | ( |  | ) |

inline

Definition at line 319 of file template_base.hpp.

viennacl::device_specific::template_base::invalid_template_exception::invalid_template_exception | ( | std::string | message | ) |

inline

Definition at line 320 of file template_base.hpp.

virtual viennacl::device_specific::template_base::invalid_template_exception::~invalid_template_exception | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 325 of file template_base.hpp.

## Member Function Documentation

virtual const char* viennacl::device_specific::template_base::invalid_template_exception::what | ( |  | ) | const
throw | ( |
| ) |  |

inline virtual

Definition at line 324 of file template_base.hpp.

The documentation for this class was generated from the following file:

- viennacl/device_specific/templates/template_base.hpp